> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/notities-pinnen/36.-mutatie-meerdere-opmerkingen-toevoegen-aan-de-geselecteerde-notities.md).

# 36. Mutatie: meerdere opmerkingen toevoegen aan de geselecteerde notities

Met deze mutatie kunt u meerdere opmerkingen toevoegen aan de geselecteerde notitie.

{% hint style="success" %}
Het maximale aantal opmerkingen dat kan worden opgeslagen is 25.
{% endhint %}

* Een Opmerking kan gekoppeld worden aan het Perceel via zijn unieke identificator `fieldUuid` en aan de Notitie via `noteUuid`.
* De inhoud van de Opmerking kan worden opgegeven met behulp van het `tekst` attribuut. Als de inhoud meerregelig moet zijn, moet het `tekst` attribuut een tekenreeks met regeleinde-tekens bevatten `\\n` om regels te scheiden. Bijvoorbeeld: `"Eerste regel staat hier\\nTweede regel staat hier.\\nDerde regel staat hier."`.
* Het is mogelijk een specifieke datum/tijd aan de opmerking te koppelen met behulp van het `aanmaakdatum` attribuut in ISO8601-formaat.

Het voorbeeldverzoek is hieronder te vinden:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "De 4e opmerking uit meerdere.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "De 5e opmerking uit meerdere.\\nDe tweede regel van de opmerking.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    aanmaakdatum
    updatedDate
    tekst
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/notities-pinnen/36.-mutatie-meerdere-opmerkingen-toevoegen-aan-de-geselecteerde-notities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
